/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.payroll.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_YUKYU(有給休暇ファイル)のDTOクラス。
 */
public class MYukyuDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				kcode				= "";
	private int					kyuyoymd			= 0;
	private double				zzant				= 0;
	private double				zzanz				= 0;
	private double				syoka				= 0;
	private int					syutoku				= 0;
	private double				haiki				= 0;
	private double				tzant				= 0;
	private double				tzanz				= 0;
	

	/**
	 * コンストラクタ
	 */
	public MYukyuDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return kyuyoymd 	給与計算年月日。
	 */
	public int getKyuyoYMD() {
		return kyuyoymd;
	}
	
	/**
	 * @return zzant 	前月残数（当年）。
	 */
	public double getZZanT() {
		return zzant;
	}
	
	/**
	 * @return zzanz 	前月残数（前年）。
	 */
	public double getZZanZ() {
		return zzanz;
	}
	
	/**
	 * @return syoka 	当月使用。
	 */
	public double getSyoka() {
		return syoka;
	}
	
	/**
	 * @return syutoku 	当月取得。
	 */
	public int getSyutoku() {
		return syutoku;
	}
	
	/**
	 * @return haiki 	当月廃棄。
	 */
	public double getHaiki() {
		return haiki;
	}
	
	/**
	 * @return tzant 	当月残数（当年）。
	 */
	public double getTZanT() {
		return tzant;
	}
	
	/**
	 * @return tzanz 	当月残数（前年）。
	 */
	public double getTZanZ() {
		return tzanz;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param kyuyoymd 	セットする給与計算年月日。
	 */
	public void setKyuyoYMD(int kyuyoymd) {
		this.kyuyoymd = kyuyoymd;
	}
	
	/**
	 * @param zzant 	セットする前月残数（当年）。
	 */
	public void setZZanT(double zzant) {
		this.zzant = zzant;
	}
	
	/**
	 * @param zzanz 	セットする前月残数（前年）。
	 */
	public void setZZanZ(double zzanz) {
		this.zzanz = zzanz;
	}
	
	/**
	 * @param syoka 	セットする当月使用。
	 */
	public void setSyoka(double syoka) {
		this.syoka = syoka;
	}
	
	/**
	 * @param syutoku 	セットする当月取得。
	 */
	public void setSyutoku(int syutoku) {
		this.syutoku = syutoku;
	}
	
	/**
	 * @param haiki 	セットする当月廃棄。
	 */
	public void setHaiki(double haiki) {
		this.haiki = haiki;
	}
	
	/**
	 * @param tzant 	セットする当月残数（当年）。
	 */
	public void setTZanT(double tzant) {
		this.tzant = tzant;
	}
	
	/**
	 * @param tzanz 	セットする当月残数（前年）。
	 */
	public void setTZanZ(double tzanz) {
		this.tzanz = tzanz;
	}
	
}
